#pragma once

#include <QWidget>

class ClockWidget : public QWidget
{
	Q_OBJECT

public:
	ClockWidget( QWidget * parent, const QString background_file_name );
	~ClockWidget();

	QSize sizeHint() const; /* the recommended size for the widget */
	QSize minimumSizeHint() const; /* the recommended minimum size for the widget*/

	void paintEvent( QPaintEvent * event ); /* a request to repaint all or part of a widget */

private:
	int hour_{ 0 }; /* hours displayed */
	int minute_{ 0 }; /* minutes displayed */
	float second_{ 0.0f }; /* seconds displayed */

	std::shared_ptr<QPixmap> background_; /* background image */
};
